aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_rebind.sh
diff options
context:
space:
mode:
authorteor <teor@torproject.org>2019-10-31 00:28:05 +1000
committerteor <teor@torproject.org>2019-11-04 13:10:00 +1000
commitd3c8486724ad29c732bbae591f11b0597641a446 (patch)
tree542f5791879a7942bd0092d725dab1dc5a8705f8 /src/test/test_rebind.sh
parent85e50954d85e0372d2f4e854e651817389b4ece9 (diff)
downloadtor-d3c8486724ad29c732bbae591f11b0597641a446.tar.gz
tor-d3c8486724ad29c732bbae591f11b0597641a446.zip
relay: Disable relay config when the module is disabled
This commit: * disables the ORPort, DirPort, DirCache, and BridgeRelay options, * sets ClientOnly 1, * disables relay_config.c and relay/transport_config.c, * disables test_rebind.sh, and * modifies the expected results for test_parseconf.sh, when the relay module is disabled. Part of 32213.
Diffstat (limited to 'src/test/test_rebind.sh')
-rwxr-xr-xsrc/test/test_rebind.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/test/test_rebind.sh b/src/test/test_rebind.sh
index d6d9d86668..62c9283fc9 100755
--- a/src/test/test_rebind.sh
+++ b/src/test/test_rebind.sh
@@ -12,6 +12,11 @@ if test "$UNAME_OS" = 'CYGWIN' || \
fi
fi
+if "${TESTING_TOR_BINARY}" --list-modules | grep -q "relay: no"; then
+ echo "This test requires the relay module. Skipping." >&2
+ exit 77
+fi
+
tmpdir=
clean () {
if [ -n "$tmpdir" ] && [ -d "$tmpdir" ]; then